### Method

# Soup MessageHeadersIter next

#### Declaration [src]

    gboolean
    soup_message_headers_iter_next (
      SoupMessageHeadersIter* iter,
      const char** name,
      const char** value
    )

#### Description [src]

Yields the next name/value pair in the `SoupMessageHeaders` being iterated by `iter`.

If `iter` has already yielded the last header, then `soup_message_headers_iter_next()` will return `FALSE` and `name` and `value` will be unchanged.

#### Parameters

`name` | `const char**`
| Pointer to a variable to return the header name in.
| The argument will be set by the function.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const char**`
| Pointer to a variable to return the header value in.
| The argument will be set by the function.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if another name and value were returned, `FALSE` if the end of the headers has been reached.